#!/bin/bash

##
## Execute proper command to install an init script
##
InstallInitScript()
{
	INIT_SCRIPT_NAME="${1}"

	if [ -e /etc/systemd/system/${INIT_SCRIPT_NAME}.service ];
	then
		# this is rhel7, so enable systemd daemon
		/usr/bin/systemctl daemon-reload
		/usr/bin/systemctl enable ${INIT_SCRIPT_NAME}
		/usr/bin/systemctl daemon-reload
		#enable SELinux policies for ping
		#grep ping /var/log/audit/audit.log | audit2allow -M ismpol > /dev/null
		#semodule -i ismpol.pp
	elif [ -x /sbin/chkconfig ];
	then
		# this is a Red Hat type install
		/sbin/chkconfig --add ${INIT_SCRIPT_NAME}

	# check for lsb install
	elif [ -x /usr/lib/lsb/install_initd ];
	then
		# this is an lsb install
		/usr/lib/lsb/install_initd /etc/init.d/${INIT_SCRIPT_NAME} >/dev/null 2>&1
	fi
	return 0
}


InstallInitScript  dcismeng 

exit 0
